package cn.bunny.pattern15.state;


public class ClosingLiftState extends LiftState {
    /**
     * 开门动作
     */
    @Override
    public void open() {
        super.lift.setCurrentLiftState(Lift.OPEN_STATE);
        super.lift.getCurrentLiftState().open();
    }

    /**
     * 关门动作
     */
    @Override
    public void close() {
        System.out.println("电梯关门。。。");
    }

    /**
     * 运行动作
     */
    @Override
    public void run() {
        super.lift.setCurrentLiftState(Lift.RUNNING_STATE);
        super.lift.getCurrentLiftState().run();
    }

    /**
     * 停止动作
     */
    @Override
    public void stop() {
        super.lift.setCurrentLiftState(Lift.STOPPING_STATE);
        super.lift.getCurrentLiftState().stop();
    }
}
